Bug 1649745 - system-upgrade fails with JSONDecodeError if state file corrupt
Summary: system-upgrade fails with JSONDecodeError if state file corrupt
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavla Kratochvilova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 12:37 UTC by Pavla Kratochvilova
Modified: 2019-02-21 02:57 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-21 02:57:04 UTC


Attachments (Terms of Use)

Description Pavla Kratochvilova 2018-11-14 12:37:44 UTC
Description of problem:
When the json state file for system-upgrade is corrupt, dnf system-upgrade fails with json.decoder.JSONDecodeError.

Version-Release number of selected component (if applicable):
dnf-4.0.4-1.fc29.noarch
python3-dnf-plugin-system-upgrade-3.0.2-1.fc29.noarch

Steps to Reproduce:
1. create manually file /var/lib/dnf/system-upgrade.json with corrupt json
2. run dnf system-upgrade

Additional info:
Happens after bug 1643551.

Comment 2 Pavla Kratochvilova 2018-11-27 09:55:56 UTC
The PR https://github.com/rpm-software-management/dnf-plugins-extras/pull/141 has been merged.

Comment 3 Fedora Update System 2019-02-18 10:15:34 UTC
libcomps-0.1.10-2.fc29 libdnf-0.26.0-1.fc29 dnf-plugins-core-4.0.4-1.fc29 dnf-plugins-extras-4.0.2-1.fc29 dnf-4.1.0-1.fc29 librepo-1.9.4-1.fc29 createrepo_c-0.12.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 4 Fedora Update System 2019-02-19 06:27:30 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 5 Fedora Update System 2019-02-21 02:57:04 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.